Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Armature object

This object gives access to Armature-specific data in Blender.

Method Summary |
list | `getBones()` Get the Armature root bones.
string | `getName()` Get the name of this Armature object.
| `setBones(bones)` Set the Armature root bones (still unimplemented).
| `setName(name)` Set the name of this Armature object.

Class Variable Summary |
| `bones` - The Armature root bones (cannot be set yet).
| `name` - The Armature name.

Method Details |

getBones()

Get the Armature root bones.

  Returns:

    a list of Armature bones.

    (type=list)

getName()

Get the name of this Armature object.

  Returns:

    string

setBones(bones)

Set the Armature root bones (still unimplemented).

  Warning: This method wasn't implemented yet.

setName(name)

Set the name of this Armature object.

  Parameters:

    `name` - The new name.

    (type=string)

Class Variable Details |

bones The Armature root bones (cannot be set yet).

name The Armature name.

<<< Previous | Home | Next >>>
Class Armature | Up | Class Bone